Henry Mensch writes: 

>if you are aware of insurance carriers which will carry DPs on the
>same terms as they carry legally married partners (and those terms for
>married partners are competitive with other insurers) then make this
>known to CMU.  having a limited choice in DP benefits is better than
>none at all.

	I have a list of carriers who do provide domestic partner coverage, but I  
don't know anything about their rates.  Also, you might check if you can take  
advantage of a self-insurance plan.  I know that here at Duke, most of the  
employees are covered under a self-insurance plan which gets around NC State Law  
which strictly limits who else can be covered under a single policy. 

	The following information came from the Lambda Legal Defense and Education  
Fund and is in tex format:

\centerline{\bf Insurance companies that have underwritten plans}
\centerline{\bf for domestic partners\footnote{\rm*}{\rm courtesy Lambda Legal  
Defense and Education Fund}}
\bigskip
\obeylines{\parindent=0pt
Consumer's United Marketing Department
2100 M Street, N.W. 

Washington, DC 20037 

(202) 872-5213
\smallskip
Liberty Mutual Insurance
Attn: Special Risks Group Insurance Department 

175 Berkeley Street 

Boston, MA 02117 

(617) 357-9500
\smallskip
APA Insurance Trust
888 17th Street, N.W. 

Washington, DC 20006
(202) 955-7780
\smallskip
John Hancock Mutual Life
1 Hancock Place 

Boston, MA 02217 

(800) 922-5050
\smallskip
Independent Blue Cross
1333 Chestnut Street 

Philadelphia, PA 19107
(215) 564-2100
\smallskip}

\bye

----

	I hope this information is helpful.

	Yours,

	Robert Bryant